Cd menu not booting to ubiquity try/install menu but always to live session

Bug #1570901 reported by Dave Morley on 2016-04-15
56
This bug affects 11 people
Affects Status Importance Assigned to Milestone
ubiquity
Fix Released
Undecided
Martin Pitt
ubiquity (Ubuntu)
Critical
Martin Pitt

Bug Description

STEPS:
In normal bios/uefi in legacy mode you do not get the menu item to select install or try instead it boots to the live session instead.

If I interrupt the system at the keyboard and select install which would normally go straight to the ubiquity session installer it instead goes to the live session.

This is likely an issue in systemd setup.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: ubiquity 2.21.57
ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
Uname: Linux 4.4.0-18-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
CasperVersion: 1.372
CurrentDesktop: Unity
Date: Fri Apr 15 14:28:33 2016
InstallCmdLine: file=/cdrom/preseed/ubuntu.seed boot=casper only-ubiquity initrd=/casper/initrd.lz quiet splash --- oem-config/enable=true
LiveMediaBuild: Ubuntu 16.04 LTS "Xenial Xerus" - Beta amd64 (20160414)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Dave Morley (davmor2) wrote :
Changed in systemd:
assignee: nobody → Martin Pitt (pitti)
Changed in ubiquity (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
summary: - Cd menu not bootingto ubiquity try/install menu but always to live
+ Cd menu not booting to ubiquity try/install menu but always to live
session
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubiquity (Ubuntu):
status: New → Confirmed
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1570901

tags: added: iso-testing
Kev Bowring (flocculant) wrote :

Seen in hardware as well as virtual.

sudodus (nio-wiklund) wrote :

I tested Lubuntu xenial-desktop-amd64.iso in UEFI mode (and booting via grub from a cloned image via USB).

With the boot options 'quiet splash' the bug pushes to 'Try Lubuntu' even when 'Install Lubuntu' was selected in the grub menu.

But without 'quiet splash', the system arrives at the 'Install Lubuntu' desktop with Ubiquity and without the panel and icons. So with this work-around the bug is grey, not red.

The reason for this comment is that many issues for DVD systems are also found for cloned USB systems, while grub booted systems may behave in a different way.

Martin Pitt (pitti) on 2016-04-17
affects: systemd → ubiquity
Changed in ubiquity (Ubuntu):
importance: Undecided → High
Tim (darkxst) wrote :

I am only getting the ubiquity greeter on about 1 in 3 boots, the rest of the time it boots straight through to the live session.

● ubiquity.service - Ubuntu live CD installer
   Loaded: loaded (/lib/systemd/system/ubiquity.service; enabled; vendor preset: enabled)
   Active: inactive (dead) since Mon 2016-04-18 00:51:14 UTC; 5min ago
  Process: 1430 ExecStart=/usr/share/ubiquity/start-ubiquity-dm (code=exited, status=0/SUCCESS)
 Main PID: 1430 (code=exited, status=0/SUCCESS)

Apr 18 00:51:08 ubuntu-gnome systemd[1]: Starting Ubuntu live CD installer...
Apr 18 00:51:10 ubuntu-gnome python3[1438]: pam_unix(su:session): session opened for user ubuntu-gnome by (uid=0)
Apr 18 00:51:14 ubuntu-gnome start-ubiquity-dm[1430]: Gtk-Message: Failed to load module "overlay-scrollbar"
Apr 18 00:51:14 ubuntu-gnome start-ubiquity-dm[1430]: Failed to connect to Mir: Failed to connect to server socket: No such file or directory
Apr 18 00:51:14 ubuntu-gnome start-ubiquity-dm[1430]: Unable to init server: Could not connect: Connection refused
Apr 18 00:51:14 ubuntu-gnome start-ubiquity-dm[1430]: (zenity:1820): Gtk-WARNING **: cannot open display: :0
Apr 18 00:51:14 ubuntu-gnome systemd[1]: Started Ubuntu live CD installer.

Xorg.0.log has this

[ 21.630] (WW) xf86OpenConsole: VT_ACTIVATE failed: Input/output error
[ 21.630] (EE)
Fatal server error:
[ 21.630] (EE) xf86OpenConsole: Switching VT failed
[ 21.630] (EE)
[ 21.630] (EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
[ 21.630] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 21.630] (EE)
[ 21.630] (WW) xf86CloseConsole: KDSETMODE failed: Input/output error
[ 21.630] (WW) xf86CloseConsole: VT_GETMODE failed: Input/output error
[ 21.630] (WW) xf86CloseConsole: VT_ACTIVATE failed: Input/output error
[ 21.630] (EE) Server terminated with error (1). Closing log file.

sudodus (nio-wiklund) wrote :

Tim's observation "I am only getting the ubiquity greeter on about 1 in 3 boots, the rest of the time it boots straight through to the live session" and an observation that I made running without quiet splash, makes me think it is some kind of timeout or race condition.

I saw something counting down (in the text screen during booting. It might make a difference if that countdown will finish or not, and I think that things are faster without splash.

Martin Pitt (pitti) wrote :

I confirm that booting the current desktop image in QEMU (qemu-system-x86_64 -m 2048 -cdrom xenial-desktop-amd64.iso) takes reeeally long to get to the live system and I never see the greeter. Also, keyboard and mouse are broken in the live session, and the load is at 6.

Going to VT1 and showing the journal shows that there is a dependency cycle between plymouth, ubiquity, and getty, which prevents ubiquity.service from starting:

  plymouth-quit-wait → ubiquity → getty.target → getty@tty1 → plymouth-quit-wait

Martin Pitt (pitti) wrote :
Download full text (3.5 KiB)

>takes reeeally long to get to the live system [...] and the load is at 6.

Ignore this part, that was just because I forgot "-enable-kvm".

> Also, keyboard and mouse are broken in the live session

I'm still trying to figure out this. Annoyingly it works if I use the serial console (QEMU option "-serial stdio" and kernel option "console=ttyS0"). In one boot I had X.org use VT1, which would collide with getty on VT1 that we always start (as in Debian/Ubuntu we usually want the first X.org on VT7).

Interestingly, when I do that ubiquity.service actually does start, but fails to connect to X:

● ubiquity.service - Ubuntu live CD installer
   Loaded: loaded (/lib/systemd/system/ubiquity.service; enabled; vendor preset: enabled)
   Active: inactive (dead) since Mon 2016-04-18 10:33:09 UTC; 4min 23s ago
  Process: 1238 ExecStart=/usr/share/ubiquity/start-ubiquity-dm (code=exited, status=0/SUCCESS)
 Main PID: 1238 (code=exited, status=0/SUCCESS)

Apr 18 10:32:57 ubuntu systemd[1]: Starting Ubuntu live CD installer...
Apr 18 10:32:59 ubuntu python3[1242]: pam_unix(su:session): session opened for user ubuntu by (uid=0)
Apr 18 10:33:09 ubuntu start-ubiquity-dm[1238]: Gtk-Message: Failed to load module "overlay-scrollbar"
Apr 18 10:33:09 ubuntu start-ubiquity-dm[1238]: Failed to connect to Mir: Failed to connect to server socket: No such file or directory
Apr 18 10:33:09 ubuntu start-ubiquity-dm[1238]: Unable to init server: Could not connect: Connection refused
Apr 18 10:33:09 ubuntu start-ubiquity-dm[1238]: (zenity:1705): Gtk-WARNING **: cannot open display: :0
Apr 18 10:33:09 ubuntu systemd[1]: Started Ubuntu live CD installer.

Apr 18 10:33:03 ubuntu ubiquity[1556]: Ubiquity 2.21.57
Apr 18 10:33:04 ubuntu ubiquity[1556]: Exception in GTK frontend (invoking crash handler):
Apr 18 10:33:04 ubuntu ubiquity[1556]: Traceback (most recent call last):
Apr 18 10:33:04 ubuntu ubiquity[1556]: File "/usr/lib/ubiquity/bin/ubiquity", line 649, in <module>
Apr 18 10:33:04 ubuntu ubiquity[1556]: main(oem_config)
Apr 18 10:33:04 ubuntu ubiquity[1556]: File "/usr/lib/ubiquity/bin/ubiquity", line 635, in main
Apr 18 10:33:04 ubuntu ubiquity[1556]: install(query=options.query)
Apr 18 10:33:04 ubuntu ubiquity[1556]: File "/usr/lib/ubiquity/bin/ubiquity", line 264, in install
Apr 18 10:33:04 ubuntu ubiquity[1556]: wizard = ui.Wizard(distro)
Apr 18 10:33:04 ubuntu ubiquity[1556]: File "/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py", line 239, in __init__
Apr 18 10:33:04 ubuntu ubiquity[1556]: self.watch = Gdk.Cursor.new(Gdk.CursorType.WATCH)
Apr 18 10:33:04 ubuntu ubiquity[1556]: TypeError: constructor returned NULL

But in this boot, the dependency cycle got broken at plymouth-quit-wait.service instead of ubiquity.service, so this might all just be weird fallout from this.

Indeed, if I boot with "maybe-ubiquity break=casper-bottom systemd.debug-shell" and remove /<email address hidden>" in initramfs before booting, then:

 - the menu always appears
 - ubiquity-dm's X runs at VT1 ! (This explains keyboard/mouse failure, failure to start X and ubiquity-dm)
 - Corresponding to the above, there is an "xo...

Read more...

Martin Pitt (pitti) wrote :

This regression was introduced by http://bazaar.launchpad.net/~ubuntu-installer/ubiquity/trunk/revision/6411.2.2 for bug 1567194.

This change both introduced the dependency cycle, it's pointless (as After= does not do *anything* about starting new units), and thus it does not actually fix bug 1567194. Thus for now I'm going to reopen the latter and revert that change.

Martin Pitt (pitti) on 2016-04-18
Changed in ubiquity (Ubuntu):
importance: High → Critical
assignee: Mathieu Trudel-Lapierre (cyphermox) → Martin Pitt (pitti)
status: Confirmed → In Progress
status: In Progress → Fix Committed
Martin Pitt (pitti) on 2016-04-18
Changed in ubiquity:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.21.58

---------------
ubiquity (2.21.58) xenial; urgency=medium

  [ Martin Pitt
  * ubiquity.service: Revert commit 6411.2.2 as this does not/can't fix
    LP #1567194 but introduces a dependency cycle between getty, plymouth, and
    ubiquity. (LP: #1570901)
  * Automatic update of included source packages: hw-detect
    1.117ubuntu2.

  [ Christopher Lee ]
  * autopilot-test: Double timeout for CI VM speed.
  * autopilot-tests: Now storing results as subunit.
  * autopilot-tests: longer timeout to handle CI VMs.

 -- Martin Pitt <email address hidden> Mon, 18 Apr 2016 13:25:44 +0200

Changed in ubiquity (Ubuntu):
status: Fix Committed → Fix Released

I still experience this issue (daily-build 20160417).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers